## LibinsaneLogger

LibinsaneLogger

## Functions

void | libinsane_logger_log ()
void | libinsane_register_logger ()
void | libinsane_unregister_logger ()

## Types and Values

enum | LibinsaneLogLevel
#define | LIBINSANE_TYPE_LOGGER
struct | LibinsaneLoggerInterface
| LibinsaneLogger

## Description

## Functions

### libinsane_logger_log ()

    void
    libinsane_logger_log (LibinsaneLogger *self,
                          LibinsaneLogLevel lvl,
                          const char *msg);

### libinsane_register_logger ()

    void
    libinsane_register_logger (LibinsaneLogger *logger);

### libinsane_unregister_logger ()

    void
    libinsane_unregister_logger ();

## Types and Values

### enum LibinsaneLogLevel

#### Members

LIBINSANE_LOG_LEVEL_DEBUG |  |
LIBINSANE_LOG_LEVEL_INFO |  |
LIBINSANE_LOG_LEVEL_WARNING |  |
LIBINSANE_LOG_LEVEL_ERROR |  |

### LIBINSANE_TYPE_LOGGER

    #define LIBINSANE_TYPE_LOGGER libinsane_logger_get_type()

### struct LibinsaneLoggerInterface

    struct LibinsaneLoggerInterface {
    	GTypeInterface parent;
    	void (*log)(LibinsaneLogger *self, LibinsaneLogLevel lvl, const char *msg);
    };

### LibinsaneLogger

    typedef struct _LibinsaneLogger LibinsaneLogger;